org.apache.commons.math.analysis.interpolation

## Interface BivariateRealGridInterpolator

All Known Implementing Classes:
  BicubicSplineInterpolator, SmoothingBicubicSplineInterpolator, SmoothingPolynomialBicubicSplineInterpolator

    public interface BivariateRealGridInterpolator

Interface representing a bivariate real interpolating function where the sample points must be specified on a regular grid.

Version:
  $Revision: 936391 $ $Date: 2010-04-21 19:00:56 +0200 (mer. 21 avril 2010) $

### Method Summary

Methods
`BivariateRealFunction` `interpolate(double[] xval, double[] yval, double[][] fval)` Computes an interpolating function for the data set.

### Method Detail

#### interpolate

    BivariateRealFunction interpolate(double[] xval,
                                    double[] yval,
                                    double[][] fval)
                                      throws MathException

Computes an interpolating function for the data set.

Parameters:
  `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
  `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
  `fval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
Returns:
  a function which interpolates the data set.
Throws:
  `MathException` - if arguments violate assumptions made by the interpolation algorithm.